/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { AverageDirectionalIndexIndicatorStrategy } from "./AverageDirectionalIndexIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
var AverageDirectionalIndexIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(AverageDirectionalIndexIndicator, _super);
    function AverageDirectionalIndexIndicator() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AverageDirectionalIndexIndicator.prototype.get_p0 = function () {
        return new AverageDirectionalIndexIndicatorStrategy();
    };
    Object.defineProperty(AverageDirectionalIndexIndicator.prototype, "p0", {
        get: function () {
            return this.get_p0();
        },
        enumerable: true,
        configurable: true
    });
    AverageDirectionalIndexIndicator.prototype.get_qd = function () {
        return AverageDirectionalIndexIndicator.$;
    };
    Object.defineProperty(AverageDirectionalIndexIndicator.prototype, "qd", {
        get: function () {
            return this.get_qd();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AverageDirectionalIndexIndicator.prototype, "ql", {
        get: function () {
            return typeGetValue(this.c(AverageDirectionalIndexIndicator.qm));
        },
        set: function (a) {
            this.h(AverageDirectionalIndexIndicator.qm, a);
        },
        enumerable: true,
        configurable: true
    });
    AverageDirectionalIndexIndicator.prototype.p6 = function () {
        return this.ql;
    };
    AverageDirectionalIndexIndicator.prototype.qf = function (a) {
        this.ql = a;
    };
    AverageDirectionalIndexIndicator.qm = StrategyBasedIndicator.qi(14, AverageDirectionalIndexIndicator.$);
    AverageDirectionalIndexIndicator.$t = markType(AverageDirectionalIndexIndicator, 'AverageDirectionalIndexIndicator', StrategyBasedIndicator.$);
    return AverageDirectionalIndexIndicator;
}(StrategyBasedIndicator));
export { AverageDirectionalIndexIndicator };
/*<BeginStatics Name="Infragistics.Controls.Charts.AverageDirectionalIndexIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.AverageDirectionalIndexIndicator" />*/
